package zap

import (
	"go.uber.org/zap/zapcore"
	"amuz.es/src/infra/logger"
)

type zapWrappedSyncer struct {
	zapcore.WriteSyncer
}

func (r *zapWrappedSyncer) SetOnClose(closeFunc logger.CloseFunc) {}
func (r *zapWrappedSyncer) Rotate() (err error)                   { return }
func (r *zapWrappedSyncer) Close() (err error)                    { return }
func (r *zapWrappedSyncer) Sync() error                           { return r.WriteSyncer.Sync() }
