package logger

import "io"

type CloseFunc func()

type WriteSyncer interface {
	io.Writer
	Sync() error
}

type RotateSyncer interface {
	io.WriteCloser
	SetOnClose(CloseFunc)
	Rotate() error
	Sync() error
}
